Qt 5.7 | Qt 3D | C++ Classes | QFrameGraphNode

Qt 5.7.1 Reference Documentation

# QFrameGraphNode Class

(Qt3DRender::QFrameGraphNode)

Base class of all FrameGraph configuration nodes. More...

Header: | #include <QFrameGraphNode>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | FrameGraphNode
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DRender::QCameraSelector, Qt3DRender::QClearBuffers, Qt3DRender::QDispatchCompute, Qt3DRender::QFrustumCulling, Qt3DRender::QLayerFilter, Qt3DRender::QNoDraw, Qt3DRender::QRenderPassFilter, Qt3DRender::QRenderStateSet, Qt3DRender::QRenderSurfaceSelector, Qt3DRender::QRenderTargetSelector, Qt3DRender::QSortPolicy, Qt3DRender::QTechniqueFilter, and Qt3DRender::QViewport

- List of all members, including inherited members

## Public Functions

| QFrameGraphNode(Qt3DCore::QNode *parent = nullptr)
QFrameGraphNode * | parentFrameGraphNode() const

- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QFrameGraphNode(QFrameGraphNodePrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

Base class of all FrameGraph configuration nodes.

This class is rarely instanced directly since it doesn't provide any frame graph specific behavior, although it can be convenient to use for grouping other nodes together in dynamic frame graphs. The actual behavior comes from the subclasses.

The subclasses are:

class | description
--- | ---
Qt3DRender::QCameraSelector | Select camera from all available cameras in the scene
Qt3DRender::QClearBuffers | Specify which buffers to clear and to what values
Qt3DRender::QDispatchCompute | Specify Compute operation kernels
Qt3DRender::QFrustumCulling | Enable frustum culling
Qt3DRender::QLayerFilter | Select which layers to draw
Qt3DRender::QNoDraw | Disable drawing
Qt3DRender::QRenderPassFilter | Select which render passes to draw
Qt3DRender::QRenderStateSet | Set render states
Qt3DRender::QRenderSurfaceSelector | Select which surface to draw to
Qt3DRender::QSortPolicy | Specify how entities are sorted to determine draw order
Qt3DRender::QTechniqueFilter | Select which techniques to draw
Qt3DRender::QViewport | Specify viewport

## Member Function Documentation

### QFrameGraphNode::QFrameGraphNode(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QFrameGraphNode.

### `[protected]` QFrameGraphNode::QFrameGraphNode(QFrameGraphNodePrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QFrameGraphNode *QFrameGraphNode::parentFrameGraphNode() const

Returns a pointer to the parent.